## org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder.caseexpr
Class CaseSimpleTable.CaseSimpleTableContentProvider

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder.caseexpr.CaseSimpleTable.CaseSimpleTableContentProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider

Enclosing class:
  CaseSimpleTable

    public class CaseSimpleTable.CaseSimpleTableContentProvider

extends java.lang.Object
implements org.eclipse.jface.viewers.IStructuredContentProvider

Constructor Summary
`CaseSimpleTable.CaseSimpleTableContentProvider()`

Method Summary
`void` `dispose()`
`java.lang.Object[]` `getElements(java.lang.Object property)`
`void` `inputChanged(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object old, java.lang.Object newobj)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CaseSimpleTable.CaseSimpleTableContentProvider

    public CaseSimpleTable.CaseSimpleTableContentProvider()

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`

### inputChanged

    public void inputChanged(org.eclipse.jface.viewers.Viewer viewer,
                             java.lang.Object old,
                             java.lang.Object newobj)

  Specified by:
    `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`

### getElements

    public java.lang.Object[] getElements(java.lang.Object property)

  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`